gnustep-config(1)

NAME
gnustep-config - prints information about the current gnustep installation.

SYNOPSIS
gnustep-config [ --variable=variable |--objc-flags|--objc-libs|--base-libs|--gui-libs ]

DESCRIPTION
gnustep-config can print information about the currently installed GNUstep system. Output is generated dynamically based on environment variables such as GNUSTEP_CONFIG_FILE and GNUSTEP_MAKEFILES, though default values for these are generated when the tool is configured/installed. Output is primarily the locations in which various GNUstep resources are installed, but also provide flags used to build differnt types of GNUstep project.

OPTIONS

--variable=variable
    prints the value of the specified variable. Possible variables are:
        GNUSTEP_MAKEFILES
        GNUSTEP_USER_DIR
        GNUSTEP_USER_DEFAULTS_DIR
        GNUSTEP_HOST
        GNUSTEP_HOST_CPU
        GNUSTEP_HOST_VENDOR
        GNUSTEP_HOST_OS
        GNUSTEP_IS_FLATTENED
        GNUSTEP_xxx_APPS
        GNUSTEP_xxx_TOOLS
        GNUSTEP_xxx_LIBRARY
        GNUSTEP_xxx_HEADERS
        GNUSTEP_xxx_LIBRARIES
        GNUSTEP_xxx_DOC
        GNUSTEP_xxx_DOC_MAN
        GNUSTEP_xxx_DOC_INFO
    where 'xxx' could be any of 'SYSTEM', 'NETWORK', 'LOCAL' and 'USER'.

--objc-flags
    prints all the flags required to compile an ObjC file

--objc-libs
     prints all the flags required to link a pure ObjC program (no foundation/gui)

--base-libs
    prints all the flags required to link a command-line ObjC program (no gui)

--gui-libs
    prints all the flags required to link a GUI ObjC program

BUGS
None known

SEE ALSO
GNUstep(7)

HISTORY
Work on gnustep-config started in 2007 by Nicola Pero <nicola.pero@meta-innovation.com>

AUTHORS
This man page was written by Dennis Leeuw <dleeuw@made-it.com>.

COPYRIGHT
Copyright (C) 2007 Free Software Foundation, Inc.

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.